<svg width={{this.width}} height={{this.height}} class="contributions-calendar">
  {{#each this.weeks as |week|}}
    <g transform={{week.transform}}>
      {{#each week.days as |day|}}
        <rect x={{day.x}} y={{day.y}} width={{day.size}} height={{day.size}} class="empty-cell day-{{week.index}}-{{day.index}}"></rect>
      {{/each}}
    </g>
  {{/each}}

  <g>
    {{#each-in this.contributions as |weekNr days|}}
      {{#each-in days as |dayNr day|}}
        <rect x={{day.x}} y={{day.y}} width={{day.size}} height={{day.size}} class="level-cell level-cell-{{day.level}} level-{{weekNr}}-{{dayNr}}"></rect>
      {{/each-in}}
    {{/each-in}}
  </g>

  <g>
    {{#each this.dayLabels as |day|}}
      <text text-anchor="middle" x={{day.x}} y={{day.y}} class="day-label">{{t day.label}}</text>
    {{/each}}
  </g>

  <g>
    {{#each this.monthLabels as |month|}}
      <text text-anchor="middle" x={{month.x}} y={{month.y}} class="month-label">{{t month.label}}</text>
    {{/each}}
  </g>
</svg>